<?xml version='1.0' encoding='utf-8'?>
| <!DOCTYPE rfc SYSTEM "rfc2629-xhtml.ent" [
// external reference to RFCs
<!ENTITY rfc2119 SYSTEM "http://xml.resource.org/public/rfc/bibxml/reference.RFC.2119.xml">
// local reference to another doc
| ]>

// processing instructions
<?rfc toc="yes"?>
<?rfc symrefs="yes"?>
<?rfc compact="yes"?>
<?rfc subcompact="no"?>
<?rfc strict="no"?>
<?rfc rfcedstyle="yes"?>
<?rfc comments="yes"?>
<?rfc inline="yes"?>


// categories: std | bcp | info | exp | historic
rfc(category='info' consensus='false' ipr='trust200902' docName='SurveyPad_releaseNotes_v0.5.0' submissionType='be-gm-apc' xml:lang='en' version='3')
  front
    title(abbrev='SurveyPad - Release notes v0.5.0') BE-GM-APC SurveyPad - Release notes v0.5.0
    author(fullname='Przemyslaw Lewandowski' initials='P.L.' role='editor' surname='Lewandowski')
      organization CERN
      address
        postal
          street 1, Esplanade des Particules
          code 1217
          city Meyrin
          country Switzerland
        email przemyslaw.lewandowski@cern.ch
    date(year='2021' month="August")

    abstract
      t Release notes for SurveyPad version 0.5.0

  middle

    section
      name Introduction
      t
        | This documents presents feature summary for SurveyPad release version 0.5.0.
		

      // This one is a 'must' :)
      section
        name Requirements Notation
        t
          | The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT",
          | "SHOULD", "SHOULD NOT", "RECOMMENDED", "MAY", and "OPTIONAL" in this
          | document are to be interpreted as described in BCP 14,
          | #[xref(target='RFC2119' format='default') RFC2119].

    section
      name Release
      
      section
        name Important links
        t List of JIRA tasks can be accessed here #[xref(target='SURVEYPAD_JIRA')]
        t SurveyPad user guide can be accessed here #[xref(target='SURVEYPAD_USER_GUIDE')]
        t SurveyPad source code can be accessed here #[xref(target='SURVEYPAD_REPO')]
        t You can download the windows installer here #[xref(target='WIN_INSTALLER')]
        t You can download the linux installer here #[xref(target='LIN_INSTALLER')]
        
      section
        name List of changes
        
        section 
          name SurveyPad General
          ul
            li Added icon size handling in the settings.
            li The marker size in "Help dock" was decreased and standardized.
            li Added shortcut handling. Shortcuts can be changed in Edit/Preferences -> SurveyPad/Settings window. They have some limitations that are listed in the settings window.
            li When creating the project with Plugin Dialog plugins are properly alligned now.
            li When copying a list of points and pasting it to Excel a proper header should be displayed depending on the referential used in the input (XYZ or XYH) - for .coo files.
            li When pasting a list of points to Excel the coordinates should retain their precision not to loose the accuracy.
            li Multiline copy-paste is supported now, i.e. user can select (with ALT key pressed) and copy some rectangular text and paste it on some line and the text will be added on several of them.
            li Added Calidist, CSGeo and Rabot dummy-plugins. This allows SurveyPad to open/call them externally and open their associated files upon download (mainly for Rabot).
            li When the Survey software should be called from SurveyPad and the specified path to .exe is wrong informative message will be displayed (as well as entry in logs will be added).
            li Changing section name to BE-GM-APC where relevant.
          
        section 
          name Geode Plugin
          ul
            li Added option in settings to auto-hide all the docks and toolbars when using Geode (exit by clicking ShowDocks action). It is disabled by default and can be enabled in settings.
            li The navigation toolbar was moved to the same level as other toolbars to preserve as much space as possible.
            li Some unnecessary for Geode buttons were removed.
            li Geode plugin now has a simple search interface for webbrowsing.
			
        section 
          name LGC Plugin
          ul 
            li "ValueOutOfBounds" red Error in LGC Resuls for H_TGT was changed to blue Information style to better indicate the type of issue.

        section 
          name Chaba Plugin
          ul        
            li Fixed "Import active points" that searched for the passive ones instead.
			
  back

    references
      name References
      
      references
        name Normative References
        | &rfc2119;

      references
        name URL References
        
        reference(anchor="SURVEYPAD_REPO" target="https://gitlab.cern.ch/apc/susofts/interfaces/SurveyPad")
          front
            title SurveyPad repository
            author
              organization CERN
              
        reference(anchor="SURVEYPAD_USER_GUIDE" target="https://readthedocs.web.cern.ch/pages/viewpage.action?spaceKey=SUS&title=SurveyPad+User+Guide")
          front
            title SurveyPad User Guide
            author
              organization CERN
              
        reference(anchor="SURVEYPAD_JIRA" target="https://its.cern.ch/jira/browse/APCSUPPORT-322")
          front
            title SurveyPad JIRA list with all the tasks
            author
              organization CERN
			  
        reference(anchor="WIN_INSTALLER" target="https://gitlab.cern.ch/apc/susofts/interfaces/SurveyPad/-/jobs/15537625/artifacts/raw/SurveyPadInstaller-0.5.0-win64.exe")
          front
            title SurveyPad installer for Windows
            author
              organization CERN
			  
        reference(anchor="LIN_INSTALLER" target="https://gitlab.cern.ch/apc/susofts/interfaces/SurveyPad/-/jobs/15537624/artifacts/raw/SurveyPad")
          front
            title SurveyPad installer for Linux
            author
              organization CERN
			  
    section
      name Change Log
      dl
        dt 01
        dd First revision
        dt 02
        dd Second revision - changed version number and added installer links
